<?php
namespace App\ApiResource;

use ApiPlatform\Metadata\ApiResource;

#[ApiResource]
class Character extends Thing
{

    /**
     * FIXME: Use enumeration
     */
    public const ROOKIE = 'rookie';

    public const ACTIVE = 'active';

    public const MASTER = 'master';

    public const GRANDMASTER = 'grand-master';

    /**
     *
     * @ApiPlatform\ApiProperty(
     *  attributes={
     *      "openapi_context" = {
     *                "type"="string",
     *                "enum"={"rookie", "active", "master", "grand-master"},
     *                "example"="active",
     *            }
     *  }
     * )
     */
    public string $role;

    /**
     * Calculates the aged based on the ulid value?
     */
    public function getAge(): int
    {
        return 17;
    }
}

